Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.serialization
Class XmlFormatter

    java.lang.Object
      com.huguesjohnson.serialization.XmlFormatter

All Implemented Interfaces:
  Formatter

    public class XmlFormatter

extends java.lang.Object
implements Formatter

XmlFormatter - Stores objects to an XML file

Author:
  Hugues Johnson

Constructor Summary
`XmlFormatter()`

Method Summary
`Storable` | `loadFrom(java.lang.String sourcePath)` Loads an object from the specified source path.
`void` | `saveTo(Storable object, java.lang.String outputPath)` Saves the object to the output path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlFormatter

    public XmlFormatter()

Method Detail

### loadFrom

    public Storable loadFrom(java.lang.String sourcePath)
                      throws StorageException

  Loads an object from the specified source path.

  Specified by:
    `loadFrom` in interface `Formatter`
  Parameters:
    `sourcePath` - The path to load the object from.
  Returns:
    The object stored at the specified path.
  Throws:
    `StorageException` - If the load operation fails for any reason.

### saveTo

    public void saveTo(Storable object,
                       java.lang.String outputPath)
                throws StorageException

  Saves the object to the output path.

  Specified by:
    `saveTo` in interface `Formatter`
  Parameters:
    `object` - The object to save.
    `outputPath` - The path to save the object to.
  Throws:
    `StorageException` - If the save operation fails for any reason.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD